الخلاصة

  • عامل RFC 3334 المحاسبة كسلسلة مراقبة قابلة للضبط. تحدد السياسة النطاق والسمات والدقة وأخذ العينات والتجميع والفترة والوجهة والحفظ والوصول قبل ولادة السجل.
  • لا يثبت غياب السجل صفراً في الاستخدام؛ فقد ينتج من الاستبعاد أو الترشيح أو فقد التصدير أو التجميع أو انتهاء الحفظ. كانت الوثيقة Experimental وفصلت المحاسبة عن احتساب السعر والفاتورة.

سبقت الرؤيةُ العدّاد

تضع الحكاية البسيطة الاستهلاك أولاً، ثم مقياساً محايداً، ثم فاتورة. فصل RFC 3334 بين القياس والجمع والمحاسبة واحتساب التكلفة والفوترة. تضبط سياسة المحاسبة المراحل الثلاث الأولى، أما التعرفة والمبلغ فيأتيان بعدها.

يمكن تطبيق تكاليف مختلفة على السجل نفسه وإصدار فواتير بأشكال مختلفة. لم تحدد السياسة السعر، لكنها حددت الأدلة التي ستبقى للحساب والشرح والنزاع.

نُشرت الوثيقة سنة 2002 بصفة Experimental، ولم تفرض لغة سياسة ولم تثبت نشر النظام. أهميتها أنها جعلت المراقبة نفسها عقداً قابلاً للتهيئة داخل AAA.

الفراغ الواحد قد ينشأ في حدين مختلفين

يقيس المقياس الثابت بتفصيل ثابت، ثم يرشح الجامع البيانات أو يجمعها. أما المقياس القابل للضبط فلا يجمع إلا التدفقات التي تختارها السياسة. في الحالة الأولى قد تستعيد المادة الخام تدفقاً حُذف لاحقاً؛ وفي الثانية لم يوجد قياس لاستعادته.

تتحكم السياسة في النطاق، من microflow إلى aggregate، والسمات والفترة ودقة الوقت وsampling. كما تختار push أو pull والتجميع ودورية التقرير والوجهة ومدة التخزين وقائمة الوصول.

يمكن أن يكون الإجمالي صحيحاً للسؤال الأصلي وعاجزاً عن سؤال جديد. قراءة دقة إضافية فيه تعني اختراع قياس لم يحدث.

تحولت الفئة التجارية إلى عمق في الدليل

قد تعتمد الشروط على هوية العميل أو عنوان IP أو الوقت أو فئة الخدمة أو نوع المحاسبة. وتختار الأفعال بنية السجل والوجهة والدورية والحفظ والحقوق والتفصيل والدقة. قد يحصل المستوى الأعلى على تقارير دقيقة ومتكررة، بينما يحصل المستوى العادي على إجمالي خشن.

لم تتغير الحزم بسبب الاسم؛ تغير اهتمام النظام بها. «محاسبة شاملة» حزمة إعدادات تجارية وليست صفة طبيعية.

بين مجالين، قد يحمل حقلان اسم «البايتات المستخدمة» لكنهما أتيا من نقطتي مراقبة ومعدلي sampling وتجميعين مختلفين. يحتاج roaming أو outsourcing إلى اتفاق على المعنى وتسوية النزاع.

التجميع يغلق أسئلة المستقبل

الجمع حسب العميل يحفظ الحجم ويحذف الوجهة والتطبيق. النافذة الطويلة تخفي الاندفاع. sampling يقلل التكلفة ويضيف عدم يقين. الحفظ القصير يوفر التخزين ويقصر فرصة الاعتراض.

هذه مقايضات مشروعة إذا أُعلنت. تصبح مضللة حين يسمى الإجمالي الباقي تاريخاً كاملاً. قد يصلح للفوترة ولا يصلح للأمن أو الأداء أو التسوية بين الشبكات.

حذر RFC 3334 من أن NeTraMet أو NetFlow لا يضمنان بيانات دقيقة ولا يوصى بهما حين تلزم الدقة. اسم التقنية ليس شهادة جودة؛ يلزم نموذج خطأ ودليل فقد وملاءمة للغرض.

قد يكون العداد صحيحاً وتضيع datagrams قبل الجامع، أو تُفهم template خطأ، أو تنسب الساعات التدفق إلى فترات مختلفة. لكل حد إيصال مستقل.

السياسة البعيدة كانت نية قابلة للتنفيذ

يمكن أن تكون السياسة محلية أو تدفعها AAA أخرى أو تُطلب منها. يدعم ذلك roaming والمحاسبة الخارجية، لكنه ينقل تعليمات عما يجب رؤيته عبر حد ثقة.

حذرت الوثيقة من أن تقييم شرط عدائي قد يستهلك الموارد قبل تنفيذ الفعل. يجب فحص الشرط والفعل. صحة هوية المرسل لا تثبت حقه في فرض ذلك النطاق أو الكلفة.

تشمل provenance المؤلف والمصدر والموافقة والإصدار والتفعيل والنطاق والترجمة الدقيقة إلى إعداد الجهاز. نجاح التحويل النحوي لا يثبت تساوي مقياسين في المعنى.

نقطة المراقبة جزء من العدد

تستفيد المحاسبة المدمجة من أحداث التطبيق مثل إشارات الهاتف، بينما يمكن للمحاسبة المنفصلة أن تقيس خدمات عديدة في نظام خارجي. يرى كل نموذج سطحاً مختلفاً.

لا تتساوى البايتات عند الحافة والخادم والمصدر؛ إعادة الإرسال والتغليف والcache والجلسات الفاشلة تنتج أعداداً مختلفة وصحيحة في مواقعها. يجب حفظ الموقع.

يقدم RFC 2903/2904 إطار AAA، وRFC 2975/2924 الإدارة والسمات، وRFC 2123 NeTraMet. يوثق RFC 3954 NetFlow v9، ويحدد RFC 7011/7012 IPFIX. تشرح هذه الآليات ولا تثبت اعتماداً تاريخياً.

خمسة إيصالات مع كل إجمالي

احفظ السياسة وسلطتها؛ الإعداد المطبق فعلاً؛ التغطية والنقطة والساعة والدقة؛ sampling والترشيح والتجميع والفقد؛ ثم الإرسال والوصول والتخزين والحذف. تضيف الأسعار والفاتورة قراراتها لاحقاً.

قد يعني الغياب صفراً، أو خارج النطاق، أو فشل مراقبة، أو عينة لم تُختر، أو فقداً، أو تجميعاً، أو منع وصول، أو انتهاء الحفظ. لا يقرر السجل وحده. درس RFC 3334 أن القياس يبدأ باختيار. ينبغي حفظ مجال الرؤية مع الرقم.

المصادر